We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Aspose Slides 2.6.0 - OleObjectFrameEx NullPointerException

Hi there,

i'm having a problem when adding a OleObjectFrameEx in aspose slides.
java.lang.NullPointerException
at com.aspose.slides.pptx.OleObjectFrameEx.(SourceFile:117)
at com.aspose.slides.pptx.ShapesEx$3$3.do(SourceFile:135)
at com.aspose.slides.obfuscated.as.if(SourceFile:36)
at com.aspose.slides.obfuscated.as.(SourceFile:20)
at com.aspose.slides.pptx.ShapesEx$3.do(SourceFile:123)
at com.aspose.slides.obfuscated.as.if(SourceFile:36)
at com.aspose.slides.obfuscated.as.(SourceFile:20)
at com.aspose.slides.pptx.ShapesEx.if(SourceFile:110)
at com.aspose.slides.pptx.ShapesEx.do(SourceFile:241)
at com.aspose.slides.pptx.ShapesEx.addOleObjectFrame(SourceFile:273)

i got one valid license:
2011106

i would like to know if its possible to attach the version that fixes the bug
aspose.slides-2.6.0.2.jar or maybe aspose.slides-2.7.0.jar (dont know if this one its valid for my license).

I have searched in forum for this version aspose.slides-2.6.0.2.jar but the link was broken.

Thank you..

Greetings,

Luis Messias

Hi Luis Messias,


Thanks for inquiring Aspose.Slides. I have observed the query shared by you and request you to please share that by using which version of Aspose.Slides for Java you are having issue while adding Ole frames. I would suggest you to please try using the latest version of Aspose.Slides for Java 7.3.0 for your investigation as the support is provided on the basis of issue getting reproduced in the latest available version. If there is still an issue with using Aspose.Slides for Java 7.3.0 then please share the sample code along with source presentation with us. I am sure that Aspose.Slides for Java 7.3.0 does not have issue while adding Ole frames.

Many Thanks,

Hi,


I´m having a problem with aspose-slides.2.6.0 when adding OleObjectFrame… i know that 2.6.0.2 fixes that problem… and later versions will fix that…

but i my license its just valid to 06/11/2011… so i cant use the version 7.3.0
i would like to know if you have that version: 2.6.0.2 or 2.7.0(dont know if this one its valid for my license).

if you have that version 2.6.0.2 , can you attach it… or upload to somewhere… i cant find it anywhere…

thank you,

Luis Messias

Hi Luis Messias,


I regret to share that as per Aspose policy the product versions released with in last one year from to date are available for download. However, I have added the requested version in my dropbox for your convenience. Please download the specified version from this dropbox link and share with us once you have downloaded that as I will remove that from dropbox.

Many Thanks,

Hi, thank you for the quick response…


i have downloaded it… but no luck…
i got this error, with 2.7.0 verision.
The subscription included in this license allows free upgrades until 2011-10-06, but this version of the product was released on 2011-10-14.

if you have the 2.6.0.2 it would fix my problem with OleObjectFrame… i know its a old version… but my company really need this…

greetings,

Luis Messias

Hi Mudassir Fayyaz,
I’m having the same problem. There is a possibility of getting this version 2.6.0.2 which solves the bug to put graphs in a pptx presentation ?

Thanks

Pedro Vaccani

Hi Pedro Vaccani,
I regret to share that Aspose.Slides for Java 2.6.0.2 was an hotfix and is not officially maintained. I had access to official version that I have shared with you in the form of Aspose.Slides for Java 2.7.0. I have exercised my resources but have not got any success so far as it is fairly old version and discontinued now. I am still after tha and will share with you if I get any success by today. Otherwise, I request you to please update your subscription to latest version as Aspose.Slides for Java 7.3.0 is far more richer in terms of functionality and a stable version as compare to the one you are looking for. 
 Many Thanks,